Skip to content
Permalink
Browse files

[ci] Include packages needed to build Py modules

  • Loading branch information...
drybjed committed Aug 12, 2019
1 parent 60c170b commit 8a1a65bb05b5020496784ba6bc791a8310358ec9
Showing with 15 additions and 1 deletion.
  1. +15 −1 Vagrantfile
@@ -415,12 +415,26 @@ EOF
shellcheck \
yamllint
# Install packages needed to build missing Python modules
if [ "${os_release}" == "wheezy" ] || [ "${os_release}" == "jessie" ] || [ "${os_release}" == "stretch" ] ; then
DEBIAN_FRONTEND=noninteractive apt-get -y \
--no-install-recommends install \
build-essential \
libffi-dev \
libldap2-dev \
libsasl2-dev \
libssl-dev \
python-dev \
python3-dev
fi
if [ ! "${os_release}" == "wheezy" ] && [ ! "${os_release}" == "jessie" ] && [ ! "${os_release}" == "stretch" ] ; then
DEBIAN_FRONTEND=noninteractive apt-get -y \
--no-install-recommends install \
python3-ldap
fi
fi
DEBIAN_FRONTEND=noninteractive apt-get -y \
--no-install-recommends install ${ansible_from_debian}

0 comments on commit 8a1a65b

Please sign in to comment.
You can’t perform that action at this time.